(function(window, document, $, undefined){

	var woogtin = {};

	woogtin.init = function() {

		woogtin.variationListener();

	}

	// listens for variation change, sends ID as necessary
	woogtin.variationListener = function() {

		$( ".single_variation_wrap" ).on( "show_variation", function ( event, variation ) {
		    // Fired when the user selects all the required dropdowns / attributes
		    // and a final variation is selected / shown
		    if( variation.variation_id ) {
			    var id = variation.variation_id;
			    $(".hwp-gtin span").text(window.wooGtinVars.variation_gtins[id]);
			}
		} );

	}

	woogtin.init();

	window.wooGtin = woogtin;

})(window, document, jQuery);